%define _name nautilus-cd-burner
%define ver_major 2.11

Name: nautilus2-cd-burner
Version: %ver_major.4
Release: alt1

Summary:  An extension for Nautilus to write files to a CD
Group: Graphical desktop/GNOME
License: LGPL
Url: ftp://ftp.gnome.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%_name/%ver_major/%_name-%version.tar.bz2
Patch: %_name-2.10.1-alt-makefile.patch

%define GConf_ver 2.10.0
%define gtk_ver 2.6.4
%define nautilus_ver 2.10.0
%define gnome_vfs_ver 2.10.1-alt2
%define libgnome_ver 2.10.0
%define intltool_ver 0.33

PreReq: GConf2 >= %GConf_ver

Requires: lib%name = %version-%release
Requires: gnome-vfs2 >= %gnome_vfs_ver
Requires: libgtk+2 >= %gtk_ver
Requires: libgnome >= %libgnome_ver
Requires: dvd+rw-tools

BuildPreReq: gnome-common
BuildPreReq: libnautilus-devel >= %nautilus_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: gnome-vfs2-devel >= %gnome_vfs_ver
BuildPreReq: libgnome-devel >= %libgnome_ver
BuildPreReq: intltool >= %intltool_ver

# Automatically added by buildreq on Tue Apr 12 2005
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs esound fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel intltool libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libdbus-devel libeel2-devel libgail-devel libglade2-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libhal-devel libnautilus-devel libpango-devel libpopt-devel libstdc++-devel libxml2-devel perl-XML-Parser pkgconfig

%description
This package contains a Nautilus extension makes it easy to write files
to a CD.

%package -n lib%name
Summary: %_name library
Group: System/Libraries

%description -n lib%name
This package provides shared library required for %_name to work.

%package -n lib%name-devel
Summary: Development files for %_name
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package contains headers and development libraries for %_name.

%define _libexecdir %_libdir/nautilus-2.0/components
%define _bonobo_servers_dir %_libdir/bonobo/servers
%add_findprov_lib_path %_libdir/gnome-vfs-2.0/modules

%prep
%setup -q -n %_name-%version
%patch -p1

%build
intltoolize --copy --force
%__rm -f missing
%__libtoolize --copy --force
%__aclocal
%__autoheader
%__automake -a -c -f
%__autoconf

%configure --disable-schemas-install --disable-static
%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# remove non-packaged files
%__rm -f %buildroot%_libdir/gnome-vfs-2.0/modules/*.la
%__rm -f %buildroot%_libdir/nautilus/extensions-1.0/*.la

%find_lang %_name

%post
%gconf2_install ncb

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall ncb
fi

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -f %_name.lang
%_bindir/*
%_libexecdir/*
%_libdir/nautilus/extensions-1.0/*.so*
%_libdir/gnome-vfs-2.0/modules/*.so
%_datadir/%_name
%config %_sysconfdir/gconf/schemas/*
%config %_sysconfdir/gnome-vfs-2.0/modules/*
%doc AUTHORS README TODO ChangeLog

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*

%changelog
* Fri Jul 15 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.11.4-alt1
- 2.11.4

* Sat Jul 02 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.2-alt1
- 2.10.2

* Tue Apr 12 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.1-alt1
- 2.10.1

* Mon Mar 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.0-alt1
- 2.10.0

* Tue Mar 01 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.7-alt1
- 2.9.7

* Thu Feb 10 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.6-alt1
- 2.9.6

* Tue Jan 11 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.4-alt1
- 2.9.4

* Thu Nov 04 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.5-alt1
- 2.8.5

* Thu Oct 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.4-alt1
- 2.8.4

* Thu Sep 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.3-alt1
- 2.8.3

* Tue Sep 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.2-alt1
- 2.8.2

* Fri Sep 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.1-alt1
- 2.8.1

* Mon Sep 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.0-alt1
- 2.8.0
- lib%%name{,-devel} subpackages.

* Mon Apr 19 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- 2.6.1

* Thu Apr 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt2
- fixed build.

* Tue Mar 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt1
- 2.6.0

* Fri Mar 19 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.6.7-alt1
- 0.6.7

* Mon Mar 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.6.6-alt1
- 0.6.6

* Wed Feb 11 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.6.5-alt1
- 0.6.5

* Sat Jan 31 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.6.4-alt1
- 0.6.4

* Thu Jan 15 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.6.3-alt1
- 0.6.3

* Fri Oct 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.0-alt1
- 0.6.0

* Wed Sep 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.3-alt1
- 0.5.3

* Wed Aug 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.1-alt1
- 0.5.1

* Tue May 06 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4.1-alt1
- 0.4.1

* Mon Jan 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.3.2-alt1
- new version.

* Thu Jan 16 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.3.1-alt1
- First build for Sisyphus.
